Rankers::argless< T > Class Template Reference

`#include <Ranking.h>`

Inheritance diagram for Rankers::argless< T >:

## Public Member Functions

| argless (const T &c)
bool | operator() (unsigned int v1, unsigned int v2) const

## Public Attributes

const T & | container

## Detailed Description

### template<typename T>
class Rankers::argless< T >

Definition at line 43 of file Ranking.h.

## Constructor & Destructor Documentation

template<typename T >

Rankers::argless< T >::argless | ( | const T & | c | ) |

inline

Definition at line 45 of file Ranking.h.

## Member Function Documentation

template<typename T >

bool Rankers::argless< T >::operator() | ( | unsigned int | v1,
|  | unsigned int | v2
| ) |  | const

inline

Definition at line 46 of file Ranking.h.

References Rankers::argless< T >::container.

## Member Data Documentation

template<typename T >

const T& Rankers::argless< T >::container

Definition at line 49 of file Ranking.h.

Referenced by Rankers::argless< T >::operator()().

The documentation for this class was generated from the following file:

- Ranking.h